
#ifndef inputcodes_h
#define inputcodes_h

#define KEY_ROW 0
#define KEY_COL 1

#define BEEB_RETURN 0xd

#define MAX_SPECIAL_KEY 0xe
#define MAX_ASCII_KEY 0x6b

#define GET_TABLE_VAL(key, rowCol) ( (key < 0xf) ? specialsTable[key][rowCol] : \
                              ((key >= ' ' && key <= 0x6a)?   \
                                asciiTable[key-0x20][rowCol]   \
                                : 0 \
                                )\
                              )

extern const char* specialsNames[0xf];
extern signed char specialsTable[0xf][2];
extern unsigned char asciiTable[0x6b-0x20][2];

#endif

