#ifndef DataParser_H_seen
#define DataParser_H_seen


#include "wx/wx.h"

//#include <wx/hashmap.h>
class UEFInfo;


class DataParser
{

  public:
    DataParser(const wxString& fileName);
    UEFInfo* getInfo(const wxString& fname);
    void setInfo(UEFInfo *ui);
    void closeAndSave();
    static int defaultKeys[10];
    int trimStateData(unsigned char * StateData, 
	int Length);
  protected:
    static int default_a ; // ,
    static int default_b ; //space
    static int default_u ; //@
    static int default_d ; // /
    static int default_l ; // Z
    static int default_r ; // X
    static int default_1 ;
    static int default_2 ;
    static int default_t ;
    static int default_s ; //return

    /**Default codes*/

    //static String comment_ = "#";
 //   wxHashMap *infoTable;
    wxString  *fileName_;
  
    // parse file
    // format:
    /*
       [START]
       fname=file name - last part of path (e.g. blah, not /home/user/blah.ssd)
       name=12 character name - less is padded with spaces
       key_a= int value of key
       key_b= int value of key
       key_u= int value of key
       key_d= int value of key
       key_l= int value of key
       key_r= int value of key
       key_1= int value of key 1
       key_2= int value of key 2
       key_t= int value of key start
       key_s= int value of key select
       [END]
    */
    void parseFile(wxString& dataFileName);

};
#endif
