#include "bbcmemory.h"

const char * const mnemonics [256] = {
"$00  BRK",
"$01  ORA %iX",
"$02  JAM",
"$03  SLO",
"$04  NOP",
"$05  ORA %b",
"$06  ASL %b",
"$07  SLO",
"$08  PHP",
"$09  ORA #%b",
"$0A  ASL ACC",
"$0B  ANC",
"$0C  NOP",
"$0D  ORA %w",
"$0E  ASL %w",
"$0F  SLO",
"$10  BPL %r",
"$11  ORA %iY",
"$12  JAM",
"$13  SLO",
"$14  NOP",
"$15  ORA %zX",
"$16  ASL %zX",
"$17  SLO",
"$18  CLC",
"$19  ORA %aY",
"$1A  NOP",
"$1B  SLO",
"$1C  NOP",
"$1D  ORA %aX",
"$1E  ASL %aX",
"$1F  SLO",
"$20  JSR %w",
"$21  AND %iX",
"$22  JAM",
"$23  RLA",
"$24  BIT %b",
"$25  AND %b",
"$26  ROL %b",
"$27  RLA",
"$28  PLP",
"$29  AND #%b",
"$2A  ROL ACC",
"$2B  ANC",
"$2C  BIT %w",
"$2D  AND %w",
"$2E  ROL %w",
"$2F  RLA",
"$30  BMI %r",
"$31  AND %iY",
"$32  JAM",
"$33  RLA",
"$34  NOP",
"$35  AND %zX",
"$36  ROL %zX",
"$37  RLA",
"$38  SEC",
"$39  AND %aY",
"$3A  NOP",
"$3B  RLA",
"$3C  NOP",
"$3D  AND %aX",
"$3E  ROL %aX",
"$3F  RLA",
"$40  RTI",
"$41  EOR  %iX",
"$42  JAM",
"$43  SRE",
"$44  NOP",
"$45  EOR %b",
"$46  LSR %b",
"$47  SRE",
"$48  PHA",
"$49  EOR #%b",
"$4A  LSR ACC",
"$4B  ASR",
"$4C  JMP %w",
"$4D  EOR %w",
"$4E  LSR %w",
"$4F  SRE",
"$50  BVC %r",
"$51  EOR %iY",
"$52  JAM",
"$53  SRE",
"$54  NOP",
"$55  EOR %zX",
"$56  LSR %zX",
"$57  SRE",
"$58  CLI",
"$59  EOR %aY",
"$5A  NOP",
"$5B  SRE",
"$5C  NOP",
"$5D  EOR %aX",
"$5E  LSR %aX",
"$5F  SRE",
"$60  RTS",
"$61  ADC  %iX",
"$62  JAM",
"$63  RRA",
"$64  NOP",
"$65  ADC %b",
"$66  ROR %b",
"$67  RRA",
"$68  PLA",
"$69  ADC #%b",
"$6A  ROR ACC",
"$6B  ARR",
"$6C  JMP (%w)",
"$6D  ADC %w",
"$6E  ROR %w",
"$6F  RRA",
"$70  BVS %r",
"$71  ADC %iY",
"$72  JAM",
"$73  RRA",
"$74  NOP",
"$75  ADC %zX",
"$76  ROR %zX",
"$77  RRA",
"$78  SEI",
"$79  ADC %aY",
"$7A  NOP",
"$7B  RRA",
"$7C  NOP",
"$7D  ADC %aX",
"$7E  ROR %aX",
"$7F  RRA",
"$80  NOP",
"$81  STA  %iX",
"$82  NOP",
"$83  SAX",
"$84  STY %b",
"$85  STA %b",
"$86  STX %b",
"$87  SAX",
"$88  DEY",
"$89  NOP",
"$8A  TXA",
"$8B  ANE",
"$8C  STY %w",
"$8D  STA %w",
"$8E  STX %w",
"$8F  SAX",
"$90  BCC %r",
"$91  STA %iY",
"$92  JAM",
"$93  SHA",
"$94  STY %zX",
"$95  STA %zX",
"$97  SAX",
"$96  STX %zY",
"$98  TYA",
"$99  STA %aY",
"$9A  TXS",
"$9B  SHS",
"$9C  SHY",
"$9D  STA %aX",
"$9E  SHX",
"$9F  SHA",
"$A0  LDY #%b",
"$A1  LDA %iX",
"$A2  LDX #%b",
"$A3  LAX %iX",
"$A4  LDY %b",
"$A5  LDA %b",
"$A6  LDX %b",
"$A7  LAX %b",
"$A8  TAY",
"$A9  LDA #%b",
"$AA  TAX",
"$AB  LXA",
"$AC  LDY %w",
"$AD  LDA %w",
"$AE  LDX %w",
"$AF  LAX",
"$B0  BCS %r",
"$B1  LDA %iY",
"$B2  JAM",
"$B3  LAX",
"$B4  LDY %zX",
"$B5  LDA %zX",
"$B6  LDX %zY",
"$B7  LAX",
"$B8  CLV",
"$B9  LDA %aY",
"$BA  TSX",
"$BB  LAE",
"$BC  LDY %aX",
"$BD  LDA %aX",
"$BE  LDX %aY",
"$BF  LAX",
"$C0  CPY #%b",
"$C1  CMP  %iX",
"$C2  NOP",
"$C3  DCP",
"$C4  CPY %b",
"$C5  CMP %b",
"$C6  DEC %b",
"$C7  DCP",
"$C8  INY",
"$C9  CMP #%b",
"$CA  DEX",
"$CB  SBX",
"$CC  CPY %w",
"$CD  CMP %w",
"$CE  DEC %w",
"$CF  DCP",
"$D0  BNE %r",
"$D1  CMP %iY",
"$D2  JAM",
"$D3  DCP",
"$D4  NOP",
"$D5  CMP %zX",
"$D6  DEC %zX",
"$D7  DCP",
"$D8  CLD",
"$D9  CMP %aY",
"$DA  NOP",
"$DB  DCP",
"$DC  NOP",
"$DD  CMP %aX",
"$DE  DEC %aX",
"$DF  DCP",
"$E0  CPX #%b",
"$E1  SBC  %iX",
"$E2  NOP",
"$E3  ISB",
"$E4  CPX %b",
"$E5  SBC %b",
"$E6  INC %b",
"$E7  ISB",
"$E8  INX",
"$E9  SBC #%b",
"$EA  NOP",
"$EB  SBC %b",
"$ED  SBC %w",
"$EC  CPX %w",
"$EE  INC %w",
"$EF  ISB",
"$F0  BEQ %r",
"$F1  SBC %iY",
"$F2  JAM",
"$F3  ISB",
"$F4  NOP",
"$F5  SBC %zX",
"$F6  INC %zX",
"$F7  ISB",
"$F8  SED",
"$F9  SBC %aY",
"$FA  NOP",
"$FB  ISB",
"$FC  NOP",
"$FD  SBC %aX",
"$FE  INC %aX",
"$FF  ISB"
};
  
const char * const hex16 = "0123456789ABCDEF";

void addHex(char ** dest_p, unsigned long * offset_p, int size) {
  char * dest = *dest_p;
  unsigned long offset = *offset_p;
  *dest++ = '$'; 
  int increment = 1;
  if (size == 16) {
      *dest++ = hex16[(WholeRam[offset+1]&0xf0)>>4];
      *dest++ = hex16[(WholeRam[offset+1]&0xf)];
      increment++;
      size -= 8;
  }
  if (size == 8) {
      *dest++ = hex16[(WholeRam[offset]&0xf0)>>4];
      *dest++ = hex16[(WholeRam[offset]&0xf)];
  }
  offset += increment;
  *dest_p = dest;
  *offset_p = offset;
}

void dis6502(unsigned long offset, char *dest, int flags) {
  const char * src = mnemonics[WholeRam[offset]];
  if (flags & 1) {
    *dest++ = '$';
    *dest++ = hex16[(offset&0xf000)>>12];
    *dest++ = hex16[(offset&0xf00)>>8];
    *dest++ = hex16[(offset&0xf0)>>4];
    *dest++ = hex16[(offset&0xf)];
    *dest++ = ' ';
  } 
  offset++;
  char tmp;
  if (!(flags & 2)) {
    // do not output the opcode byte value
    src +=3;
  }
  while (*src) {
    if (*src != '%') {
      *dest++ = *src++;
    } else {
      src++;
      switch (*src) {
        case 'i' : // indirect  - %iX, %iY
          *dest++ = '(';
          addHex(&dest, &offset, 8);
          src++;
          if (*src == 'Y')
            *dest++ = ')';

          *dest++ = ',';
          *dest++ = *src; 
          if (*src == 'X')
            *dest++ = ')';
          break; 
        case 'z' : // zero page  - %zX, %zY
          addHex(&dest, &offset, 8);
          src++;
          *dest++ = ',';
          *dest++ = *src; 
          break; 
        case 'a' : // Absolute  - %aX, %aY
          addHex(&dest, &offset, 16);
          src++;
          *dest++ = ',';
          *dest++ = *src; 
          break; 
        case 'w' : // direct word
          addHex(&dest, &offset, 16);
          break;
        case 'b' : // direct byte 
          addHex(&dest, &offset, 8);
          break;
        case 'r' : // relative word 
          tmp = (char) WholeRam[offset];
          *dest++ = '$';
          *dest++ = hex16[((offset + tmp +1)&0xf000)>>12];
          *dest++ = hex16[((offset + tmp +1)&0xf00)>>8];
          *dest++ = hex16[((offset + tmp +1)&0xf0)>>4];
          *dest++ = hex16[((offset + tmp +1)&0xf)];
          offset++;
          break;
      }
      src++;
    }
  }
  *dest = 0;
}
