# create gcc object from raw binary file

%.$(RODATASUFF): %.raw
	$(OBJCOPY) $(OBJCOPYFLAGS) $(notdir $<) $(notdir $@)

# create gcc object from palette file
%.pal.$(RODATASUFF): %.pal
	$(OBJCOPY) $(OBJCOPYFLAGS) $(notdir $<) $(notdir $@)

# create gcc object from map file
%.map.$(RODATASUFF): %.map
	$(OBJCOPY) $(OBJCOPYFLAGS) $(notdir $<) $(notdir $@)

# create raw binary file from pcx
$(PALETTENAME) : 
	@echo gfx2gba = $(GFX2GBA)
	@echo tools = $(RM)
	$(GFX2GBA) $(GFX2GBAFLAGS) -G -D -p$(PALETTENAME)  $(CURRENTIMGS)

%.map : %.pcx
	@echo gfx2gba = $(GFX2GBA)
	$(GFX2GBA) $(GFX2GBAFLAGS) -G -P  $(CURRENTIMGS)

%.raw  : %.pcx
	@echo gfx2gba = $(GFX2GBA)
	$(GFX2GBA) $(GFX2GBAFLAGS) -P -D  $(CURRENTIMGS)
