#ifndef _fastvideo_h
#define _fastvideo_h

extern int copyColours;

void lowLevelDoScanLineNarrow(void);
void lowLevelDoScanLine1bpp(void);
void lowLevelDoScanLineWide(void);

extern unsigned char VideoULA_ControlReg;
extern unsigned char VideoULA_Palette[16];
typedef struct {
unsigned int CRTCControlReg;
unsigned int CRTC_HorizontalTotal;
unsigned int CRTC_HorizontalDisplayed;
unsigned int CRTC_HorizontalSyncPos;
unsigned int CRTC_SyncWidth;
unsigned int CRTC_VerticalTotal;
unsigned int CRTC_VerticalTotalAdjust;
unsigned int CRTC_VerticalDisplayed;
unsigned int CRTC_VerticalSyncPos;
unsigned int CRTC_InterlaceAndDelay;
unsigned int CRTC_ScanLinesPerChar;
unsigned int CRTC_CursorStart;
unsigned int CRTC_CursorEnd;
unsigned int CRTC_ScreenStartHigh;
unsigned int CRTC_ScreenStartLow;
unsigned int CRTC_CursorPosHigh;
unsigned int CRTC_CursorPosLow;
unsigned int CRTC_LightPenHigh;
unsigned int CRTC_LightPenLow;
} CRTC_t;
extern CRTC_t CRTCControl;

typedef union {
  unsigned char data[2];
  unsigned short twobyte;
} TwoUChars;
typedef union {
  unsigned char data[4];
  unsigned long fourbyte;
} FourUChars;
void LoadVideoUEF(const unsigned char * );
void VideoInit(void);
#endif
