/*
* $Log: inter.h,v $
* Revision 1.4  2004/10/02 16:21:58  richq
* Version 1 additions/changes
*
* Revision 1.3  2004/08/18 11:31:21  richq
* loading from disc interrupts
*
* Revision 1.2  2004/08/08 20:02:40  richq
* First working version
*
* Revision 1.1.1.1  2004/04/24 14:59:45  richq
* PocketBeeb - BBC emulator for the GBA
*
* Revision 1.3  2004/04/04 15:51:04  richq
* Final C version. It works but is verrrry slow (< 1fps!)
*
* Revision 1.2  2004/03/31 20:31:04  richq
* name changed to avoid conflicts
*
* Revision 2.2  2004/02/18 19:18:26  richq
* Unchanged from LoM. GBA-specific interrupt handler.
*
* Revision 2.1.1.1  2004/02/04 21:49:20  Default
* Doomdark's Revenge GBA
*
*
*/

#ifndef INTER_H
#define INTER_H


#define START_VALUE 40
#define HORIZON_VALUE (45+START_VALUE)

extern u32 game_frames;

//#ifdef _GBA
#define IN_IWRAM __attribute__ ((section (".iwram"), long_call)) 
//#else
//  #define IN_IWRAM 
//#endif


//IN_IWRAM 
//void VBlankInterruptHandler(void);
void irqarm(void);
void loadingIR(void);

//IN_IWRAM 
void MenuInterruptHandler(void);
void VKInterruptHandler(void);

#endif


