#ifndef _savestate_h
#define _savestate_h
/* Struture to hold all the state information */

typedef struct {
  unsigned int programCounter;
  unsigned int accumulator;
  unsigned int XReg;
  unsigned int YReg;
  unsigned int PSR;
}
T6502State;

void LoadUEFState(const unsigned char * const, const unsigned char * const );

// load/save the emu state...
int have_save_data(void);
int load(void);
void save(void);
void resetBeeb(int );

#endif
