
const char* const specialsNames[0xf] ={
  "[-OFF-] ",// 00 ?  
  "[BACKSP]",// 01 ?  
  "[TAB]   ",// 02 ?  
  "[CTRL]  ",// 03 ?  
  "[CAPS]  ",// 04 ?  
  "[ESC]   ",// 05 ?  
  "[COPY]  ",// 06 ?  
  "[Up]    ",// 07 ?  
  "[Down]  ",// 08 ?  
  "[Left]  ",// 09 ?  
  "[Right] ",// 0a ?  
  "[DEL]   ",// 0b ?  
  "[SHIFT] ",// 0c ?  
  "[RETURN]",// 0d ?  
  "[SH.LCK]",// 0e ?  
};


const signed char specialsTable[0xf][2]={
  {-1,-1},// 00 ?  
  {5,9},// 01 ?  [BS]
  {6,0},// 02 ?  [TAB]
  {0,1},// 03 ?  [CTRL]
  {4,0},// 04 ?  [CAPS]
  {7,0},// 05 ?  [ESC]
  {6,9},// 06 ?  [END]
  {3,9},// 07 ?  [Up]
  {2,9},// 08 ?  [Down]
  {1,9},// 09 ?  [Left]
  {7,9},// 0a ?  [Right]
  {5,9},// 0b ?  [DEL]
  {0,0},// 0c ?  [SHIFT]
  {4,9},// 0d ?  [RETURN]
  {5,0},// 0e ?  [SHIFT LOCK]
};

const unsigned char asciiTable[0x6b-0x20+1][2]={
  {6,2},// 20 [SPACE]
  {0,0},// 21 !
  {0,0},// 22 "
  {2,8},// 23 #  is really _
  {0,0},// 24 $
  {0,0},// 25 %
  {0,0},// 26 &
  {0,0},// 27 '
  {0,0},// 28 (
  {0,0},// 29 )
  {4,8},// 2a *   possibly
  {0,0},// 2b +
  {6,6},// 2c ,
  {1,7},// 2d -
  {6,7},// 2e .
  {6,8},// 2f /
  {2,7},// 30 0
  {3,0},// 31 1
  {3,1},// 32 2
  {1,1},// 33 3
  {1,2},// 34 4
  {1,3},// 35 5
  {3,4},// 36 6
  {2,4},// 37 7
  {1,5},// 38 8
  {2,6},// 39 9
  {4,8},// 3a :
  {5,7},// 3b ;
  {6,7},// 3c <
  {1,7},// 3d =
  {6,6},// 3e >
  {6,8},// 3f ?
  {4,7},// 40 @
  {4,1},// 41 A
  {6,4},// 42 B
  {5,2},// 43 C
  {3,2},// 44 D
  {2,2},// 45 E
  {4,3},// 46 F
  {5,3},// 47 G
  {5,4},// 48 H
  {2,5},// 49 I
  {4,5},// 4a J
  {4,6},// 4b K
  {5,6},// 4c L
  {6,5},// 4d M
  {5,5},// 4e N
  {3,6},// 4f O
  {3,7},// 50 P
  {1,0},// 51 Q
  {3,3},// 52 R
  {5,1},// 53 S
  {2,3},// 54 T
  {3,5},// 55 U
  {6,3},// 56 V
  {2,1},// 57 W
  {4,2},// 58 X
  {4,4},// 59 Y
  {6,1},// 5a Z
  {3,8},// 5b [
  {7,8},// 5c backslash
  {5,8},// 5d ]
  {1,8},// 5e ^
  {2,8},// 5f _  is really #
  {4,7},// 60 `
  {2,0},// 61 F0
  {7,1},// 62 F1
  {7,2},// 63 F2
  {7,3},// 64 F3
  {1,4},// 65 F4
  {7,4},// 66 F5
  {7,5},// 67 F6
  {1,6},// 68 F7
  {7,6},// 69 F8
  {7,7},// 6a F9
  {-2,-2},// 6b BREAK
};

