#ifndef UEFEntry_h_seen
#define UEFEntry_h_seen
#include "wx/wx.h"
#include "wx/ffile.h"


class UEFInfo;
class DataParser;

class UEFEntry
{
public:

  UEFEntry(const wxString& , DataParser * );
  virtual ~UEFEntry();

  inline bool equals(const UEFEntry& that) {
     if (this == &that)
        return true;
     return that.toString() == this->toString();
  }

  inline wxString toString() const {
     return (*m_uef);
  }

  inline UEFInfo * info() {
    return m_info;
  }
  inline void info(UEFInfo * info) {
    m_info = info;
  }
  void write(wxFFile & out);
  UEFInfo * read(wxFFile & in);
 

protected:
  UEFInfo  * m_info;
  //UEFEntry * m_next;
  wxString * m_uef;


};
#endif
