#ifndef UEFInfoDialog_h_seen
#define UEFInfoDialog_h_seen
#include "wx/wx.h"
#define KEY_CTRL_COUNT 89

class UEFInfo;

class UEFInfoDialog: public wxDialog
{

//  DECLARE_DYNAMIC_CLASS(UEFInfoDialog)
  public:

    UEFInfoDialog (wxWindow* parent, wxWindowID id, UEFInfo * info);

    inline UEFInfo * getInfo() {
      return m_info;
    }

  protected:

    // the passed in info
    UEFInfo * m_info;

    // gui features: the combo boxes
    wxChoice * m_box_A;
    wxChoice * m_box_B;
    wxChoice * m_box_u;
    wxChoice * m_box_d;
    wxChoice * m_box_l;
    wxChoice * m_box_r;
    wxChoice * m_box_L;
    wxChoice * m_box_R;
    wxChoice * m_box_T;
    wxChoice * m_box_S;
    wxButton * m_button_OK;
    wxButton * m_button_Cancel;


    // for the names shown in the lists
    const static wxString keynames[KEY_CTRL_COUNT];

    wxTextCtrl * m_editName;

    void createUI();
    void updateUI();
    void ok(wxCommandEvent&);
    void cancel(wxCommandEvent&);
    void close(wxCloseEvent&);

  private:
    DECLARE_EVENT_TABLE()

};
#endif
